Name: hydrogen
Version: 0.9.4
Release: alt2

Summary: Hydrogen Drum Machine
License: GPL
Group: Sound

Packager: Taras Ablamsky <atl@altlinux.ru>

URL: http://www.hydrogen-music.org
Source0: %name-%version.tar.bz2

Source1: %name-32x32.xpm
Source2: %name-16x16.xpm
Source3: %name-48x48.xpm

# Added by buildreq2 on Mon Jun 26 2006
# Automatically added by buildreq on Mon Mar 23 2009
BuildRequires: gcc-c++ ghostscript-classic jackit-devel libarchive-devel libflac++-devel liblrdf-devel libqt4-devel libsndfile-devel scons subversion tetex-core libalsa-devel

%description
Hydrogen is a sample based drum machine with:
 Graphical user interface based on QT 
 Sample based real-time audio engine
 Oss Audio driver
 Jack Audio driver
 Export to disk audio driver
 Alsa Midi input
 Ability to import/export xml-based song file
 64 ticks per pattern
 16 voices with volume, mute, solo, pan capabilities
 Import of samples in wav, au, aiff format

%prep
%setup -q

%build
scons libarchive=1 prefix=%_prefix

%install
scons install DESTDIR=%buildroot prefix=%_prefix

cat >%name.menu <<EOF
?package(%name): needs="x11" section="Multimedia/Sound" title="Hydrogen" \
longtitle="Hydrogen Drum Machine" command="%_bindir/%name" icon="%name.xpm"
EOF
install -pD -m644 %name.menu %buildroot%_menudir/%name

install -pD -m644 %SOURCE1 %buildroot%_niconsdir/%name.xpm
install -pD -m644 %SOURCE2 %buildroot%_miconsdir/%name.xpm
install -pD -m644 %SOURCE3 %buildroot%_liconsdir/%name.xpm

ln -sf "$(relative %_datadir/hydrogen/data/doc %_docdir/%name-%version/doc)" html

%files
%_bindir/%name
%_datadir/%name/
%_niconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm
%_menudir/%name
%_pixmapsdir/h2-icon.svg
%_desktopdir/%name.desktop
%doc -P html AUTHORS ChangeLog README.txt

%changelog
* Fri Sep 18 2009 Taras Ablamsky <atl@altlinux.ru> 0.9.4-alt2
- 0.9.4

* Thu Mar 26 2009 Taras Ablamsky <atl@altlinux.ru> 0.9.4-alt1.M41.1.beta3
- built for M41

* Sun Mar 22 2009 Taras Ablamsky <atl@altlinux.ru> 0.9.4-alt1.beta3
- 0.9.4-beta3

* Mon Jun 26 2006 Alexey Tourbin <at@altlinux.ru> 0.9.3-alt1
- 0.9.0 -> 0.9.3
- fixed gcc-4.1 issues
- fixed wasp plugin linkage

* Tue Feb 22 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.0-alt0.7.1.1
- Rebuilt with libflac-1.1.2-alt1

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.0-alt0.7.1
- Rebuilt with libstdc++.so.6.

* Thu Sep 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt0.7
- new version.
- manpages by avp@.

* Wed Dec 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt0.7
- 0.8.1 release.

* Thu Nov 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt0.6beta4
- 0.8.1beta4.

* Sun May 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- 0.8.0

* Tue Mar 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.6-alt1
- 0.7.6

* Mon Feb 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.5-alt1
- First build for Sisyphus.
